Bug 430660 - (CVE-2005-2969) CVE-2005-2969 openssl mitm downgrade attack
CVE-2005-2969 openssl mitm downgrade attack
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=openssl,public...
: Security
Depends On: 430783 440513 445325 449461
Blocks: 444136
  Show dependency treegraph
 
Reported: 2008-01-29 06:12 EST by Mark J. Cox (Product Security)
Modified: 2012-10-30 05:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 16:13:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2008-01-29 06:12:46 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2005-2969 to the following vulnerability:

The SSL/TLS server implementation in OpenSSL 0.9.7 before 0.9.7h and 0.9.8 before 0.9.8a, when using the SSL_OP_MSIE_SSLV2_RSA_PADDING option, disables a verification step that is required for preventing protocol version rollback attacks, which allows remote attackers to force a client and server to use a weaker protocol than needed via a man-in-the-middle attack.

References:

http://www-1.ibm.com/support/docview.wss?uid=isg1SSRVHMCHMC_C081516_754
http://www.juniper.net/support/security/alerts/PSN-2005-12-025.txt
ftp://ftp.software.ibm.com/pc/pccbbs/pc_servers/dir5.10.3_docs_relnotes.pdf
http://www.openssl.org/news/secadv_20051011.txt
http://support.avaya.com/elmodocs2/security/ASA-2006-031.htm
http://support.avaya.com/elmodocs2/security/ASA-2006-260.htm
http://www.hitachi-support.com/security_e/vuls_e/HS06-022_e/01-e.html
http://www.hitachi-support.com/security_e/vuls_e/HS07-016_e/index-e.html
https://issues.rpath.com/browse/RPL-1633
http://docs.info.apple.com/article.html?artnum=302847
http://www.cisco.com/warp/public/707/cisco-response-20051202-openssl.shtml
http://www.debian.org/security/2005/dsa-875
http://www.debian.org/security/2005/dsa-881
http://www.debian.org/security/2005/dsa-882
http://itrc.hp.com/service/cki/docDisplay.do?docId=c00805100
http://itrc.hp.com/service/cki/docDisplay.do?docId=c00805100
http://itrc.hp.com/service/cki/docDisplay.do?docId=c00849540
http://itrc.hp.com/service/cki/docDisplay.do?docId=c00849540
http://www.mandriva.com/security/advisories?name=MDKSA-2005:179
http://www.redhat.com/support/errata/RHSA-2005-800.html
http://www.redhat.com/support/errata/RHSA-2005-762.html
http://sunsolve.sun.com/search/document.do?assetkey=1-26-101974-1
http://www.novell.com/linux/security/advisories/2005_61_openssl.html
http://lists.trustix.org/pipermail/tsl-announce/2005-October/000354.html
http://www.securityfocus.com/bid/15647
http://www.securityfocus.com/bid/15071
http://www.securityfocus.com/bid/24799
http://www.frsirt.com/english/advisories/2005/2710
http://www.frsirt.com/english/advisories/2005/2908
http://www.frsirt.com/english/advisories/2005/2036
http://www.frsirt.com/english/advisories/2005/3002
http://www.frsirt.com/english/advisories/2005/3056
http://www.frsirt.com/english/advisories/2005/2659
http://www.frsirt.com/english/advisories/2006/3531
http://www.frsirt.com/english/advisories/2007/0326
http://www.frsirt.com/english/advisories/2007/0343
http://www.frsirt.com/english/advisories/2007/2457
http://securitytracker.com/id?1015032
http://secunia.com/advisories/17813
http://secunia.com/advisories/17888
http://secunia.com/advisories/18045
http://secunia.com/advisories/17151
http://secunia.com/advisories/18165
http://secunia.com/advisories/18123
http://secunia.com/advisories/17146
http://secunia.com/advisories/17153
http://secunia.com/advisories/17169
http://secunia.com/advisories/17178
http://secunia.com/advisories/17180
http://secunia.com/advisories/17189
http://secunia.com/advisories/17191
http://secunia.com/advisories/17210
http://secunia.com/advisories/17259
http://secunia.com/advisories/17288
http://secunia.com/advisories/17335
http://secunia.com/advisories/17344
http://secunia.com/advisories/17389
http://secunia.com/advisories/17409
http://secunia.com/advisories/17432
http://secunia.com/advisories/17466
http://secunia.com/advisories/17589
http://secunia.com/advisories/17617
http://secunia.com/advisories/17632
http://secunia.com/advisories/18663
http://secunia.com/advisories/19185
http://secunia.com/advisories/21827
http://secunia.com/advisories/23280
http://secunia.com/advisories/23340
http://secunia.com/advisories/23915
http://secunia.com/advisories/23843
http://secunia.com/advisories/25973
http://secunia.com/advisories/26893
http://xforce.iss.net/xforce/xfdb/35287
Comment 3 Vincent Danen 2010-12-21 21:56:15 EST
This was addressed via:

Red Hat Enterprise Linux version 2.1 (RHSA-2005:800)
Red Hat Enterprise Linux version 3 (RHSA-2005:800)
Red Hat Enterprise Linux version 4 (RHSA-2005:800)
Red Hat Stronghold 4 (RHSA-2005:882)
Red Hat Network Satellite Server 5.0 (RHEL v.4 AS) (RHSA-2008:0264)
Red Hat Network Satellite Server v 4.2 (RHEL v.3 AS) (RHSA-2008:0525)
Red Hat Network Satellite Server v 4.2 (RHEL v.4 AS) (RHSA-2008:0525)
Red Hat Network Satellite Server 5.1 (RHEL v.4 AS) (RHSA-2008:0629)

Note You need to log in before you can comment on or make changes to this bug.